Hooks:PostHook( WeaponFactoryTweakData, "init", "SpotterInit", function(self)

self.parts.wpn_fps_upg_fl_ass_spotter.perks = {"gadget", "highlight"}
self.parts.wpn_fps_upg_fl_ass_spotter.adds = {"wpn_fps_addon_ris", "wpn_fps_upg_fl_ass_peq15_flashlight"}

self.parts.wpn_fps_upg_fl_ass_spotter.desc_id = "bm_wp_wpn_fps_upg_fl_ass_spotter_desc"
	
local gadgetid = {"wpn_fps_upg_fl_ass_spotter"}

for _, gadget_id in ipairs(gadgetid) do

	self.wpn_fps_ass_aug.adds[ gadget_id ] = {
		"wpn_fps_aug_ris_special"
	}
	self.wpn_fps_shot_r870.adds[ gadget_id ] = {
		"wpn_fps_shot_r870_gadget_rail"
	}
	self.wpn_fps_shot_serbu.adds[ gadget_id ] = {
		"wpn_fps_shot_r870_gadget_rail"
	}
	self.wpn_fps_pis_judge.adds[ gadget_id ] = {
		"wpn_fps_pis_judge_fl_adapter"
	}
	self.wpn_fps_smg_m45.adds[ gadget_id ] = {
		"wpn_fps_shot_r870_gadget_rail"
	}
	self.wpn_fps_ass_s552.adds[ gadget_id ] = {
		"wpn_fps_addon_ris"
	}
	self.wpn_fps_sho_ksg.override[ gadget_id ] = {
		wpn_fps_upg_o_specter = {
			override = {
				wpn_fps_upg_fl_ass_spotter = {a_obj = "a_fl_2"}
			},
			forbids = {
				"wpn_fps_addon_ris"
			}
		},
		wpn_fps_upg_o_aimpoint = {
			override = {
				wpn_fps_upg_fl_ass_spotter = {a_obj = "a_fl_2"}
			},
			forbids = {
				"wpn_fps_addon_ris"
			}
		},
		wpn_fps_upg_o_aimpoint_2 = {
			override = {
				wpn_fps_upg_fl_ass_spotter = {a_obj = "a_fl_2"}
			},
			forbids = {
				"wpn_fps_addon_ris"
			}
		},
		wpn_fps_upg_o_docter = {
			override = {
				wpn_fps_upg_fl_ass_spotter = {a_obj = "a_fl_2"}
			},
			forbids = {
				"wpn_fps_addon_ris"
			}
		},
		wpn_fps_upg_o_eotech = {
			override = {
				wpn_fps_upg_fl_ass_spotter = {a_obj = "a_fl_2"}
			},
			forbids = {
				"wpn_fps_addon_ris"
			}
		},
		wpn_fps_upg_o_t1micro = {
			override = {
				wpn_fps_upg_fl_ass_spotter = {a_obj = "a_fl_2"}
			},
			forbids = {
				"wpn_fps_addon_ris"
			}
		},
		wpn_fps_upg_o_cmore = {
			override = {
				wpn_fps_upg_fl_ass_spotter = {a_obj = "a_fl_2"}
			},
			forbids = {
				"wpn_fps_addon_ris"
			}
		},
		wpn_fps_upg_o_acog = {
			override = {
				wpn_fps_upg_fl_ass_spotter = {a_obj = "a_fl_2"}
			},
			forbids = {
				"wpn_fps_addon_ris"
			}
		},
		wpn_fps_upg_o_cs = {
			override = {
				wpn_fps_upg_fl_ass_spotter = {a_obj = "a_fl_2"}
			},
			forbids = {
				"wpn_fps_addon_ris"
			}
		},
		wpn_fps_upg_o_eotech_xps = {
			override = {
				wpn_fps_upg_fl_ass_spotter = {a_obj = "a_fl_2"}
			},
			forbids = {
				"wpn_fps_addon_ris"
			}
		},
		wpn_fps_upg_o_reflex = {
			override = {
				wpn_fps_upg_fl_ass_spotter = {a_obj = "a_fl_2"}
			},
			forbids = {
				"wpn_fps_addon_ris"
			}
		},
		wpn_fps_upg_o_rx01 = {
			override = {
				wpn_fps_upg_fl_ass_spotter = {a_obj = "a_fl_2"}
			},
			forbids = {
				"wpn_fps_addon_ris"
			}
		},
		wpn_fps_upg_o_rx30 = {
			override = {
				wpn_fps_upg_fl_ass_spotter = {a_obj = "a_fl_2"}
			},
			forbids = {
				"wpn_fps_addon_ris"
			}
		},
		wpn_fps_upg_o_spot = {
			override = {
				wpn_fps_upg_fl_ass_spotter = {a_obj = "a_fl_2"}
			},
			forbids = {
				"wpn_fps_addon_ris"
			}
		}
	}
	self.wpn_fps_smg_uzi.adds[ gadget_id ] = {
		"wpn_fps_shot_r870_gadget_rail"
	}
	self.wpn_fps_smg_thompson.adds[ gadget_id ] = {
		"wpn_fps_smg_thompson_fl_adapter"
	}
	self.wpn_fps_ass_sub2000.override[ gadget_id ] = {
		parent = "foregrip"
	}
	self.wpn_fps_snp_model70.adds[ gadget_id ] = {
		"wpn_fps_snp_model70_fl_rail"
	}
	self.wpn_fps_shot_m37.override[ gadget_id ] = {
		parent = "foregrip", a_obj = "a_fl"
	}	
	self.wpn_fps_snp_model70.adds[ gadget_id ] = {
		"wpn_fps_snp_model70_fl_rail"
	}
	self.parts.wpn_fps_smg_mp5_fg_flash.override[gadget_id] = {
		parent = "foregrip"
	}
	self.wpn_fps_smg_x_m45.adds[gadget_id] = {
		"wpn_fps_shot_r870_gadget_rail"
	}
	self.wpn_fps_smg_x_m1928.adds[gadget_id] = {
		"wpn_fps_smg_thompson_fl_adapter"
	}
	self.wpn_fps_smg_x_uzi.adds[gadget_id] = {
		"wpn_fps_shot_r870_gadget_rail"
	}
end
end )